<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.singleton.singleton-policy">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cache-container,cache,quorum"/>
        <elem name="addr-params" value="profile,subsystem,singleton-policy"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.singleton"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.singleton-policy.$singleton-policy"/>
        <capability name="$profile.org.wildfly.clustering.singleton.policy.$singleton-policy"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.cache.default-singleton-service-configurator-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.cache.singleton-service-configurator-factory.$cache-container.$cache" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.singleton"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="cache-container"/>
        <param name="subsystem" feature-id="true" default="singleton"/>
        <param name="cache" nillable="true"/>
        <param name="singleton-policy" feature-id="true"/>
        <param name="quorum" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>